<?xml version="1.0" encoding="UTF-8"?>
<!-- ********************************************************************************** -->
<!-- IBM SVN information                                                    			-->
<!-- Version:         $Revision: 6428 $													-->
<!-- LastChangedDate: $LastChangedDate: 2014-05-15 13:30:25 +0200 (Do, 15 Mai 2014) $  	-->
<!-- LastChangedBy:   $LastChangedBy: stefan.thamm@de.ibm.com $						   	-->
<!-- ********************************************************************************** -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:po="http://paymentorder.justice.eu"
	version="3.1">

	<xsd:simpleType name="ReferenceNumberValue">
		<xsd:restriction base="String_128_Value"/>
	</xsd:simpleType>

	<xsd:simpleType name="BooleanValue">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>

	<xsd:simpleType name="IntegerValue">
		<xsd:restriction base="xsd:integer"/>
	</xsd:simpleType>

	<xsd:simpleType name="NumberOfEntityValue">
		<xsd:restriction base="xsd:integer"/>
	</xsd:simpleType>
	
	<!-- new in 3.0 -->
	<xsd:simpleType name="eumv_string">
		<xsd:restriction base="xsd:string">
			<xsd:minLength value="1"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="String_48_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="48" />
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="String_128_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="128" />
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:simpleType name="String_128_Value_Alpha">
		<xsd:restriction base="String_128_Value">
			<xsd:pattern value="[^0-9]*"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="String_150_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="150" />
		</xsd:restriction>
	</xsd:simpleType>

	
	<xsd:simpleType name="String_256_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="256" />
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="String_4096_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="4096" />
		</xsd:restriction>
	</xsd:simpleType>

	<!--  since 1.0.1 -->
	<xsd:simpleType name="String_16384_Value">
		<xsd:restriction base="eumv_string"> <!-- changed in 3.0 -->
			<xsd:maxLength value="16384" />
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:simpleType name="Double_6_3_Value">
		<xsd:restriction base="xsd:double">
			<xsd:annotation>
				<xsd:documentation>max digits: 123.123 | min digits: 1.1</xsd:documentation>
			</xsd:annotation>
			<xsd:pattern value="[0-9]{1,3}\.[0-9]{1,3}" />
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="Double_12_2_Value">
		<xsd:restriction base="xsd:double">
			<xsd:annotation>
				<xsd:documentation>max digits: 1234567890.12 | min digits: 1.1</xsd:documentation>
			</xsd:annotation>
			<xsd:pattern value="[0-9]{1,10}\.[0-9]{1,2}" />
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DateValue">
		<xsd:restriction base="xsd:date" />
	</xsd:simpleType>

	<xsd:simpleType name="DateTimeValue">
		<xsd:restriction base="xsd:dateTime" />
	</xsd:simpleType>

</xsd:schema>